/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.entity;

import com.alibaba.fastjson.JSONArray;

import java.io.Serializable;

/**
 * 一卡通服务端应答信息
 *
 * @author nichun
 */
public class SelfServerEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * api对应的接口
	 */
	private String api;
	/**
	 * 服务器unix时间
	 */
	private Long time;
	/**
	 * 随机字符串
	 */
	private String noncestr;
	/**
	 * 设备的心跳间隔
	 */
	private Long interval;
	/**
	 * 签名
	 */
	private String sign;

	/**
	 * 通讯id
	 */
	private String transaction_id;

	/**
	 * 待机界面时，显示到主界面中间位置，注：仅设置为取餐消费机时才有此功能
	 */
	/**
	 * 时间段
	 */
	private String build_time;

	private String result_code;

	private String result_msg;

	private String tts;


	/**
	 * 服务器已保存的id号，设备收到后根据此id对记录做已采集的标记
	 */
	private JSONArray result;

	/**
	 * 名单明细
	 */
	private JSONArray msg;


	public String getBuild_time() {
		return build_time;
	}

	public void setBuild_time(String build_time) {
		this.build_time = build_time;
	}

	public String getResult_code() {
		return result_code;
	}

	public void setResult_code(String result_code) {
		this.result_code = result_code;
	}

	public String getResult_msg() {
		return result_msg;
	}

	public void setResult_msg(String result_msg) {
		this.result_msg = result_msg;
	}

	public String getTts() {
		return tts;
	}

	public void setTts(String tts) {
		this.tts = tts;
	}

	public JSONArray getResult() {
		return result;
	}

	public void setResult(JSONArray result) {
		this.result = result;
	}

	public JSONArray getMsg() {
		return msg;
	}

	public void setMsg(JSONArray msg) {
		this.msg = msg;
	}

	public String getApi() {
		return api;
	}

	public void setApi(String api) {
		this.api = api;
	}

	public Long getTime() {
		return time;
	}

	public void setTime(Long time) {
		this.time = time;
	}

	public String getNoncestr() {
		return noncestr;
	}

	public void setNoncestr(String noncestr) {
		this.noncestr = noncestr;
	}

	public Long getInterval() {
		return interval;
	}

	public void setInterval(Long interval) {
		this.interval = interval;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	public String getTransaction_id() {
		return transaction_id;
	}

	public void setTransaction_id(String transaction_id) {
		this.transaction_id = transaction_id;
	}


}
